Name:           freehdl
Version:        0.0.8
Release:        1%{?dist}
Summary:        VHDL compiler and simulator

License:        GPLv3
URL:            http://www.freehdl.seul.org/
Source0:        https://ia801902.us.archive.org/30/items/freehdl-0.0.8/freehdl-0.0.8.tar.gz

Patch0:         https://git.archlinux.org/svntogit/community.git/plain/trunk/build-fix.patch?h=packages/freehdl

BuildRequires: flex
BuildRequires: bison
BuildRequires: perl
BuildRequires: libtool
BuildRequires: gcc

%description
VHDL compiler and simulator

%package lib
Summary:  FreeHDL library

%description lib
FreeHDL VHDL compiler and simulator library

%prep
%setup -q

%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%files
%{_bindir}/freehdl-config
%{_bindir}/freehdl-gennodes
%{_bindir}/freehdl-v2cc
%{_bindir}/gvhdl
%{_includedir}/freehdl/FlexLexer.h
%{_includedir}/freehdl/cdfggen-chunk.h
%{_includedir}/freehdl/cdfggen-chunk.t
%{_includedir}/freehdl/fire-chunk.h
%{_includedir}/freehdl/fire-chunk.t
%{_includedir}/freehdl/fire-types.h
%{_includedir}/freehdl/fire.h
%{_includedir}/freehdl/kernel-Xinfo-data-descriptor.hh
%{_includedir}/freehdl/kernel-Xinfo-kind.hh
%{_includedir}/freehdl/kernel-acl.hh
%{_includedir}/freehdl/kernel-attributes.hh
%{_includedir}/freehdl/kernel-classes.hh
%{_includedir}/freehdl/kernel-db.hh
%{_includedir}/freehdl/kernel-delayed-procedure-base.hh
%{_includedir}/freehdl/kernel-driver-info.hh
%{_includedir}/freehdl/kernel-dump.hh
%{_includedir}/freehdl/kernel-error.hh
%{_includedir}/freehdl/kernel-fhdl-stream.hh
%{_includedir}/freehdl/kernel-flags.hh
%{_includedir}/freehdl/kernel-global-event-queue.hh
%{_includedir}/freehdl/kernel-handle-info.hh
%{_includedir}/freehdl/kernel-handle.hh
%{_includedir}/freehdl/kernel-kernel-class.hh
%{_includedir}/freehdl/kernel-list.hh
%{_includedir}/freehdl/kernel-map-list.hh
%{_includedir}/freehdl/kernel-name-stack.hh
%{_includedir}/freehdl/kernel-pcounter.hh
%{_includedir}/freehdl/kernel-persistent-cdfg-dump.hh
%{_includedir}/freehdl/kernel-persistent-dump.hh
%{_includedir}/freehdl/kernel-process-base.hh
%{_includedir}/freehdl/kernel-reader-info.hh
%{_includedir}/freehdl/kernel-register.hh
%{_includedir}/freehdl/kernel-resolver-descriptor.hh
%{_includedir}/freehdl/kernel-resolver-process.hh
%{_includedir}/freehdl/kernel-sig-info.hh
%{_includedir}/freehdl/kernel-sigacl-list.hh
%{_includedir}/freehdl/kernel-signal-source-list-array.hh
%{_includedir}/freehdl/kernel-source-descriptor.hh
%{_includedir}/freehdl/kernel-stack-trace.hh
%{_includedir}/freehdl/kernel-util.hh
%{_includedir}/freehdl/kernel-wait-info.hh
%{_includedir}/freehdl/kernel-winfo-item.hh
%{_includedir}/freehdl/kernel.h
%{_includedir}/freehdl/std-memory.hh
%{_includedir}/freehdl/std-standard.hh
%{_includedir}/freehdl/std-vhdl-types.hh
%{_includedir}/freehdl/std.h
%{_includedir}/freehdl/tree-supp.h
%{_includedir}/freehdl/vaul-chunk.h
%{_includedir}/freehdl/vaul-chunk.t
%{_includedir}/freehdl/vaul-creator-base.h
%{_includedir}/freehdl/vaul-dfile.h
%{_includedir}/freehdl/vaul-dunit.h
%{_includedir}/freehdl/vaul-dynarray.h
%{_includedir}/freehdl/vaul-errors.h
%{_includedir}/freehdl/vaul-lexer.h
%{_includedir}/freehdl/vaul-list.h
%{_includedir}/freehdl/vaul-mempool.h
%{_includedir}/freehdl/vaul-parser.h
%{_includedir}/freehdl/vaul-pool.h
%{_includedir}/freehdl/vaul-printer.h
%{_includedir}/freehdl/vaul-ref.h
%{_includedir}/freehdl/vaul-types.h
%{_includedir}/freehdl/vaul-util.h
%{_includedir}/freehdl/vaul.h
%{_datadir}/freehdl/lib/ieee/math_real.vhdl
%{_datadir}/freehdl/lib/ieee/numeric_bit.vhdl
%{_datadir}/freehdl/lib/ieee/numeric_std.vhdl
%{_datadir}/freehdl/lib/ieee/std_logic_1164.vhdl
%{_datadir}/freehdl/lib/ieee/std_logic_arith.vhdl
%{_datadir}/freehdl/lib/ieee/std_logic_signed.vhdl
%{_datadir}/freehdl/lib/ieee/std_logic_unsigned.vhdl
%{_datadir}/freehdl/lib/ieee/vital_timing.vhdl
%{_datadir}/freehdl/lib/std/standard.vhdl
%{_datadir}/freehdl/lib/std/textio.vhdl
%{_infodir}/dir
%{_infodir}/fire.info.gz
%{_mandir}/man1/freehdl-config.1.gz
%{_mandir}/man1/freehdl-gennodes.1.gz
%{_mandir}/man1/freehdl-v2cc.1.gz
%{_mandir}/man1/gvhdl.1.gz
%{_mandir}/man5/v2cc.libs.5.gz
%{_libdir}/freehdl/libieee.a
%{_libdir}/freehdl/libieee.la
%{_libdir}/freehdl/libieee.so
%{_libdir}/freehdl/libieee.so.0
%{_libdir}/freehdl/libieee.so.0.0.0
%exclude %{_libdir}/debug/*

%files lib
%{_libdir}/libfreehdl-cdfggen.a
%{_libdir}/libfreehdl-cdfggen.la
%{_libdir}/libfreehdl-cdfggen.so
%{_libdir}/libfreehdl-cdfggen.so.0
%{_libdir}/libfreehdl-cdfggen.so.0.0.0
%{_libdir}/libfreehdl-fire.a
%{_libdir}/libfreehdl-fire.la
%{_libdir}/libfreehdl-fire.so
%{_libdir}/libfreehdl-fire.so.0
%{_libdir}/libfreehdl-fire.so.0.0.0
%{_libdir}/libfreehdl-kernel.a
%{_libdir}/libfreehdl-kernel.la
%{_libdir}/libfreehdl-kernel.so
%{_libdir}/libfreehdl-kernel.so.0
%{_libdir}/libfreehdl-kernel.so.0.0.0
%{_libdir}/libfreehdl-std.a
%{_libdir}/libfreehdl-std.la
%{_libdir}/libfreehdl-std.so
%{_libdir}/libfreehdl-std.so.0
%{_libdir}/libfreehdl-std.so.0.0.0
%{_libdir}/libfreehdl-vaul.a
%{_libdir}/libfreehdl-vaul.la
%{_libdir}/libfreehdl-vaul.so
%{_libdir}/libfreehdl-vaul.so.0
%{_libdir}/libfreehdl-vaul.so.0.0.0
%{_libdir}/pkgconfig/freehdl.pc

%changelog
* Sun Mar  8 2020 GonÃ§alo Camelo Neves Pereira <goncalo_pereira@outlook.pt>
- Initial package submition version 0.0.8
- Patch from https://www.archlinux.org/packages/community/x86_64/freehdl/
